// window content
.content {
	height: calc(100% - 48px);
	overflow: hidden;
}

// view within the content
.view {
	max-height: calc(100%);
	width: calc(100% + 12px);
	overflow: hidden;
	overflow-y: scroll;
	box-sizing: content-box;
	scrollbar-width: none;

	&.no-scroll {
		overflow: hidden;
		overflow-y: hidden;
	}
}

// scrollbox
.scrollbox {

	height: calc(100%) !important;
	max-height: calc(100%) !important;
	width: calc(100%);
	overflow: hidden;
	overflow-y: scroll;
	box-sizing: content-box;
	scrollbar-width: none;
}

// rows within views
.row {
	display: table;
	width: 100%;
	margin:24px auto;
	width: 66%;
	max-width: 480px;
	&.wide {
		width: 75%;
		max-width: 600px;
	}
	&.full {
		width: 100%;
		max-width: 95%;
	}
}

.window.mobile {
	.row {
		width: calc(100% - 24px - 2px);
		margin:12px auto;
	}

	.content {
		height: calc(100% - 48px - 24px);
	}
}
// visibility 

.show-on-mobile {
	// @include invisible(hidden);
	display: none !important;
}

@media only screen and (max-width:600px) {
	.show-on-mobile {
		// @include invisible(visible);
		display: revert !important;
	}

	.hide-on-mobile {
		// @include invisible(hidden);
		display: none !important;
	}
}

@media only screen and (max-width:900px) {
	.row,
	.row.wide,
	.row.full {
		width: calc(100% - 36px);
		margin:18px auto;
		max-width: 100%;
	}

	.view {
		max-height: calc(100%);
		width: calc(100%);
		overflow: hidden;
		overflow-y: scroll;

		// hide the scrollbar
		box-sizing: content-box;
		padding-right: 0;
	}
}

@media only screen and (max-width:800px) {
	.row {
		width: calc(100% - 24px - 2px);
		margin:12px auto;
		max-width: 480px;
	}

	.view {
	}
}